QXmpp Version:0.3.91

- Main Page
- Modules
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Slots | Signals | Public Member Functions | Protected Member Functions | Friends
QXmppRtpVideoChannel Class Reference

The QXmppRtpVideoChannel class represents an RTP video channel to a remote party. More...

`#include <QXmppRtpChannel.h>`

Inheritance diagram for QXmppRtpVideoChannel:

List of all members.

## Public Slots
void | datagramReceived (const QByteArray &ba)
## Signals
void | sendDatagram (const QByteArray &ba)
| This signal is emitted when a datagram needs to be sent.
## Public Member Functions
| QXmppRtpVideoChannel (QObject *parent=0)
QXmppVideoFormat | decoderFormat () const
QList< QXmppVideoFrame > | readFrames ()
QXmppVideoFormat | encoderFormat () const
void | setEncoderFormat (const QXmppVideoFormat &format)
void | writeFrame (const QXmppVideoFrame &frame)
QIODevice::OpenMode | openMode () const
void | close ()
## Protected Member Functions
void | payloadTypesChanged ()
## Friends
class | QXmppRtpVideoChannelPrivate

## Detailed Description

The QXmppRtpVideoChannel class represents an RTP video channel to a remote party.

Note:
  THIS API IS NOT FINALIZED YET

## Member Function Documentation

void QXmppRtpVideoChannel::close | ( |  | ) |

Closes the RTP channel.

void QXmppRtpVideoChannel::datagramReceived | ( | const QByteArray & | ba | ) | `[slot]`

Processes an incoming RTP video packet.

Parameters:

  ba |

The documentation for this class was generated from the following files:

- QXmppRtpChannel.h
- QXmppRtpChannel.cpp

All Classes Functions Enumerations Enumerator Properties